Skip to main content
GET
/
organization
/
{organizationId}
/
apiToken
List organization api tokens
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/apiToken \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "description": "<string>",
      "role_name": "<string>",
      "role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Query Parameters

name
string

Name of the token to filter results by.

creatorName
string

Name of the token creator to filter results by.

Response

List organization api tokens

results
object[]